## ICalTriggerType ICalTriggerType |

## Functions

ICalTriggerType * | i_cal_trigger_type_from_int ()
ICalTriggerType * | i_cal_trigger_type_from_string ()
gint | i_cal_trigger_type_is_null_trigger ()
gint | i_cal_trigger_type_is_bad_trigger ()
ICalTimetype * | i_cal_trigger_type_get_time ()
void | i_cal_trigger_type_set_time ()
ICalDurationType * | i_cal_trigger_type_get_duration ()
void | i_cal_trigger_type_set_duration ()

## Types and Values

#define | I_CAL_TRIGGER_TYPE_TYPE
| ICalTriggerType
struct | ICalTriggerTypeClass

## Description

## Functions

### i_cal_trigger_type_from_int ()

    ICalTriggerType *
    i_cal_trigger_type_from_int (const gint reltime);

Create a ICalTriggerType from integer.

#### Parameters

reltime | An integer. |

#### Returns

The newly created ICalTriggerType.

[transfer full]

Since:

### i_cal_trigger_type_from_string ()

    ICalTriggerType *
    i_cal_trigger_type_from_string (const gchar *str);

Create a ICalTriggerType from a string.

#### Parameters

str | A string. |

#### Returns

The newly created ICalTriggerType.

[transfer full]

Since:

### i_cal_trigger_type_is_null_trigger ()

    gint
    i_cal_trigger_type_is_null_trigger (ICalTriggerType *tr);

Check if a ICalTriggerType is a null trigger.

#### Parameters

tr | A ICalTriggerType. |

#### Returns

1 if yes, 0 if not.

Since:

### i_cal_trigger_type_is_bad_trigger ()

    gint
    i_cal_trigger_type_is_bad_trigger (ICalTriggerType *tr);

Check if a ICalTriggerType is a bad trigger.

#### Parameters

tr | A ICalTriggerType. |

#### Returns

1 if yes, 0 if not.

Since:

### i_cal_trigger_type_get_time ()

    ICalTimetype *
    i_cal_trigger_type_get_time (ICalTriggerType *trigger);

Get the time from ICalTriggerType.

#### Parameters

trigger | The ICalTriggerType. |

#### Returns

The time of ICalTriggerType.

[transfer full]

Since: 1.0

### i_cal_trigger_type_set_time ()

    void
    i_cal_trigger_type_set_time (ICalTriggerType *trigger,
                                 ICalTimetype *time);

Set the time from ICalTriggerType.

#### Parameters

trigger | The ICalTriggerType. |
time | The time of ICalTriggerType. |

Since: 1.0

### i_cal_trigger_type_get_duration ()

    ICalDurationType *
    i_cal_trigger_type_get_duration (ICalTriggerType *trigger);

Get the duration from ICalTriggerType.

#### Parameters

trigger | The ICalTriggerType. |

#### Returns

The duration of ICalTriggerType.

[transfer full]

Since: 1.0

### i_cal_trigger_type_set_duration ()

    void
    i_cal_trigger_type_set_duration (ICalTriggerType *trigger,
                                     ICalDurationType *duration);

Set the duration from ICalTriggerType.

#### Parameters

trigger | The ICalTriggerType. |
duration | The duration of ICalTriggerType. |

Since: 1.0

## Types and Values

### I_CAL_TRIGGER_TYPE_TYPE

    #define             I_CAL_TRIGGER_TYPE_TYPE

### ICalTriggerType

    typedef struct {
    } ICalTriggerType;

This is the ICalTriggerType instance.

### struct ICalTriggerTypeClass

    struct ICalTriggerTypeClass {
    };

This is the ICalTriggerType class.